.\" $NetBSD: piixpcib.4,v 1.3 2007/11/23 11:50:08 xtraeme Exp $
.\"
.\" Copyright (c) 2007 Stephan Meisinger
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd November 23, 2007
.Dt PIIXPCIB 4
.Os
.Sh NAME
.Nm piixpcib
.Nd Intel PIIX4 PCI-ISA bridge with SpeedStep
.Sh SYNOPSIS
.Cd "piixpcib* at pci? dev ? function ?"
.Cd "isa* at piixpcib?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Intel PIIX and compatible PCI-ISA Bridges
with Intel's first generation SpeedStep.
.Pp
Frequency scaling is supported on Pentium III with two voltage modes,
used by SpeedStep as power states low and high.
The driver will switch into low power state by reducing voltage
and frequency of the CPU.
The factor depends on the processor itself, but
will always reduce power consumption about 1/2.
.Pp
The user can manually control the CPU frequency with the
.Xr sysctl 8
program using the following node:
.Bl -tag -width usscanner -offset indent
.It machdep.speedstep_state = [0/1]
.El
.Sh SEE ALSO
.Xr isa 4 ,
.Xr pci 4 ,
.Xr apmd 8 ,
.Xr sysctl 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Fx 5.5
and then in
.Nx 4.0 .
.Sh AUTHORS
.An -nosplit
The current
.Nm
driver was written by
.An Bruno Ducrot .
It was ported to
.Nx
by
.An Jared D. McNeill Aq jmcneill@NetBSD.org .
